Salix Xfce 14.2beta1

bin bash
Posts: 14
Joined: 26. Jul 2016, 18:22

Re: Salix Xfce 14.2beta1

Post by bin bash » 28. Jul 2016, 18:56

An update here. I took my laptop to the public library and connected to the internet via ethernet .
I forgot my private network AirCard at home but reattempted to establish my network as available.
I tried to install wicd in place of network manager but had no success there either.
But after returning home and starting up Salix 14.2 beta 1, I am now online via my private network
AirCard :D . I wish I could say what it was that actually accomplished this, but I'm not quite sure myself.
Anyway I am up and running with 14.2 and will continue testing.

westms
Posts: 298
Joined: 17. Mar 2013, 18:51

Re: Salix Xfce 14.2beta1

Post by westms » 28. Jul 2016, 23:10

Hi,
gapan wrote:
westms wrote:1. After I had installed Salix64 Xfce 14.2beta1 first time, I installed the multimedia codecs. It noticed that QT4 (qt-4.8.7-x86_64-4.txz) is on the list of selectable codecs and which is also installed. Is that intended?
The openal-soft package included a GUI configuration tool that uses qt4. I have rebuilt the package to not include it now, so qt should not be needed anymore.
Thanks.
gapan wrote:
westms wrote:1 In .xsession-errors there are two warning messages:
"(xfce4-session:1096): xfce4-session-WARNING **: xfsm_manager_load_session: Something wrong with /home/westms/.cache/sessions/xfce4-session-darkstar:0, Does it exist? Permissions issue?"

The message is the whole thing between the two double quotes. In fact, there is no directory xfce4-session-darkstar:0. There is only a directory thumbs-darkstar:0
Do you have the "Save session" option checked when logging out of xfce? I get that too, but I never save the xfce session.
No. Neither do I.

For testing, I added a directory xfce4-session-darkstar:0. Permissions 0600. The message was persistent. Then I removed the directory and replaced it with an empty file with the same name. Permissions 0600. The message is gone. :lol:
Added: I searched the message. Is known for some time. Maybe the developers manage to eliminate the associated programming error someday. :(
gapan wrote:
westms wrote:2. Another message in .xsession-errors:
xscreensaver: 22:12:59: couldn't get password of "root"
Fehlgeschlagen: Modulinitialisierung fehlgeschlagen


The last line in English would be: "Failed: module initialization failed"
I don't get that here. There is no reason xscreensaver should need the root password. I don't know why you get that message.
To see what happens, I enable the root user password. After a reboot, the xscreensaver message was gone.
Added: I may have found the answer to the root password problem in the xscreensaver FAQ (Q. # 9).
https://www.jwz.org/xscreensaver/faq.html#setuid
The xscreensaver runs with setuid bit. There remains the question of why the root password is supposedly required.


The "Fehlgeschlagen: Modulinitialisierung fehlgeschlagen" message is persistent. So it must be independent of the previous message, which was not recognized and it was noticed only later.
Added: This message may have various causes. The message may be a about a missing pulseaudio-component or is a consequence of the removal of the cgproxy and cgmanager processes.
gapan wrote:
westms wrote:is CUPS already operational? I tried to add a printer (http://localhost:631/admin), but failed.
Yes, it is. Make sure you have this line in your /etc/cups/cupsd.conf:

Code: Select all

SystemGroup sys root wheel
You might have replaced it without knowing while running dotnew.

Or, enable the root user password and use it...

Code: Select all

[etc]$ ls -l passwd*
-rw-r--r-- 1 root root 1347 Jul 22 00:54 passwd
-rw------- 1 root root 1346 Jul 22 00:54 passwd-
-rw-r--r-- 1 root root 1241 Mär 26 17:56 passwd.new
[etc]$

Code: Select all

[cups]$ ls -l cups*
-rw-r--r-- 1 root root 15560 Jun 13 05:22 cups-browsed.conf
-rw-r----- 1 root lp    2918 Feb 23 07:31 cups-files.conf
-rw-r----- 1 root lp    2918 Jun 15 07:53 cups-files.conf.default
-rw-r----- 1 root lp    4496 Jul 22 00:44 cupsd.conf
-rw-r----- 1 root lp    4496 Jun 15 07:53 cupsd.conf.default
[cups]$
below I try to explain what I see and suspect for the CUPS behavior.

My last beta1 installation was almost entirely completed on 22th of July at 0:54 o'clock. This can be seen at the file date of passwd.

The cupsd.conf file was created during the installation, which can be seen at the file date. The cupsd.conf.default file is older than a month. Both files have the exact same content, and they do not contain a "System Group" line.

The files cups-files.conf and cups-files.conf.default are both older than my installation. They are also exactly the same and contain a line with "System Group sys root", but not the wheel group.

I conclude that dotnew is not responsible for the absence of the line or the group. The program I've never called manually, too.

The user configuration has been moved from cupsd.conf to cups-files.conf, which I also now read the first time. See the first paragraph in man cupsd.conf.

Perhaps that was not previously aware of when creating the alpha1/beta1 releases 14.2. Maybe this comes also from upstream. I can imagine that somewhere in the entire sequence (building, installing or configure) wheel will be automatically added to the "System Group" list in cupsd.conf. But there is no such line "System Group" included, and therefore the procedure goes under.

I added wheel to the SystemGroup list in cups-files.conf. CUPS let me add a printer now.

A note: Especially Xfce feels very tough and is really slow. For testing, I use my fastest computer. Nevertheless Salix64 Xfce 14.2beta1 is slower than Salix64 Xfce 14.1 (with original kernel) on a slightly weaker computer. Probably there is still extensive logging and tracing. For example, in ~/.xfce4-session.verbose-log. Can we expect a speed increase later?

I test on.
Last edited by westms on 30. Jul 2016, 21:48, edited 1 time in total.

User avatar
Atip
Posts: 539
Joined: 5. Jun 2011, 04:27

Re: Salix Xfce 14.2beta1

Post by Atip » 29. Jul 2016, 08:26

Every time I reboot I have to set the volumes in pulseaudio-volume-control
back to for me audible volumes.

How can this be made permanently to last for each booting?

User avatar
Atip
Posts: 539
Joined: 5. Jun 2011, 04:27

Re: Salix Xfce 14.2beta1

Post by Atip » 7. Aug 2016, 03:40

Cannot open *.iso files with mc.

Error: Cannot parse

Tried engrampa:

Code: Select all

engrampa
error while loading shared libraries: libjson-glib-1.0.so.0: cannot open shared object file: No such file or directory
Cannot find libjson-glib in gslapt.

GeBruns
Donor
Posts: 17
Joined: 9. Jan 2016, 22:26
Location: Northern Germany

Re: Salix Xfce 14.2beta1

Post by GeBruns » 7. Aug 2016, 06:13

Atip, I had the same problem.
djemos wrote:
about engrampa

Code: Select all

sudo slapt-get -u 
sudo slapt-get -i json-glib

User avatar
Atip
Posts: 539
Joined: 5. Jun 2011, 04:27

Re: Salix Xfce 14.2beta1

Post by Atip » 7. Aug 2016, 09:57

GeBruns wrote:Atip, I had the same problem.
djemos wrote:
about engrampa

Code: Select all

sudo slapt-get -u 
sudo slapt-get -i json-glib
Thanks!

engrampa opens now, however, does not open the *.iso file.

User avatar
laprjns
Salix Warrior
Posts: 1032
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: Salix Xfce 14.2beta1

Post by laprjns » 7. Aug 2016, 11:31

Atip wrote:engrampa opens now, however, does not open the *.iso file.
No problem here opening iso with engrampa. Try running engrampa from the command line again and see if it throws any error messages.

djemos
Salix Warrior
Posts: 1065
Joined: 29. Dec 2009, 13:45
Location: Greece

Re: Salix Xfce 14.2beta1

Post by djemos » 7. Aug 2016, 11:37

Atip wrote: engrampa opens now, however, does not open the *.iso file.
Install p7zip, unrar from salix repos.

GeBruns
Donor
Posts: 17
Joined: 9. Jan 2016, 22:26
Location: Northern Germany

Re: Salix Xfce 14.2beta1

Post by GeBruns » 7. Aug 2016, 19:34

I had problems to run my Salix installation after first boot. The second boot fails (see my former post). The reason was the integrated Intel graphics card on the mainboard. After disabling it the problems were gone.

Issue with LibreOffice (see my former post):
I made some screen shots with mis-displayed fonts from the Character dialog box in LibreOffice (Menu 'Format' > Character):
http://i.imgur.com/4Xruexj.png
http://i.imgur.com/rYqlDcR.png
http://i.imgur.com/Q1yVcwY.png
http://i.imgur.com/FkUqOnt.png

These images are just examples. There are other dialogs with mis-displayed fonts, too. I think the reason is related to the graphics card. I use an AMD Radeon R7 370 card with the driver from Salix.

I had installed another card with an NVIDIA chip for comparasion (using the driver from Salix, too). There were no mis-displayed fonts in LibreOffice with that card.

Then, I tried to install the proprietary driver for the AMD Radeon R7 370. I used the instructions given in "How to Install ATI Driver" for installation. But I got these errors:

Code: Select all

Check if system has the tools required for Packages Generation.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/4.4.14/build SUBDIRS=/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory '/usr/src/linux-4.4.14'
  CC [M]  /home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_major_proc_read’:
/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:634:9: error: void value not ignored as it ought to be
     len = seq_printf(m, "%d\n", major);
         ^
/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KCL_fpu_save_init’:
/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6458:49: error: ‘XSTATE_FP’ undeclared (first use in this function)
       if (!(fpu->state.xsave.header.xfeatures & XSTATE_FP))
                                                 ^
/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6458:49: note: each undeclared identifier is reported only once for each function it appears in
/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6448:12: warning: ‘KCL_fpu_save_init’ defined but not used [-Wunused-function]
 static int KCL_fpu_save_init(struct task_struct *tsk)
            ^
scripts/Makefile.build:258: recipe for target '/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o' failed
make[2]: *** [/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
Makefile:1385: recipe for target '_module_/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x' failed
make[1]: *** [_module_/home/gerold/1_Temp/fglrx-15.302/fglrx-install.ayYbNo/common/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory '/usr/src/linux-4.4.14'
Makefile:88: recipe for target 'kmod_build' failed
make: *** [kmod_build] Error 2
build failed with return value 2
ERROR: I didn't make module
[Error] Generate Package - error generating package : Slackware/Slackware
Then, I tried to use the option to install the driver directly without creating a Slackware package and got these errors:

Code: Select all

Supported adapter detected.
Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Unloading radeon module...
rmmod: ERROR: Module radeon is in use
Unloading drm module...
rmmod: ERROR: Module drm is in use by: ttm i915 drm_kms_helper radeon
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/4.4.14/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory '/usr/src/linux-4.4.14'
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_major_proc_read’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:634:9: error: void value not ignored as it ought to be
     len = seq_printf(m, "%d\n", major);
         ^
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KCL_fpu_save_init’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6458:49: error: ‘XSTATE_FP’ undeclared (first use in this function)
       if (!(fpu->state.xsave.header.xfeatures & XSTATE_FP))
                                                 ^
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6458:49: note: each undeclared identifier is reported only once for each function it appears in
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6448:12: warning: ‘KCL_fpu_save_init’ defined but not used [-Wunused-function]
 static int KCL_fpu_save_init(struct task_struct *tsk)
            ^
scripts/Makefile.build:258: recipe for target '/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o' failed
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
Makefile:1385: recipe for target '_module_/lib/modules/fglrx/build_mod/2.6.x' failed
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory '/usr/src/linux-4.4.14'
Makefile:88: recipe for target 'kmod_build' failed
make: *** [kmod_build] Error 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme.
[Reboot] Kernel Module : mkinitrd

User avatar
laprjns
Salix Warrior
Posts: 1032
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: Salix Xfce 14.2beta1

Post by laprjns » 8. Aug 2016, 11:28

djemos wrote:Install p7zip, unrar from salix repos.
I don't have p7zip installed

Code: Select all

rich[fglrx-15.302]$ sudo spi p7zip
Password: 
Available packages:
p7zip [Not installed]: p7zip (a file archiver with the highest compression ratio)

Available SlackBuilds:
None

Locked